## org.biojava.bio.structure
Class SSBond

    java.lang.Object
      org.biojava.bio.structure.SSBond

All Implemented Interfaces:
  PDBRecord

    public class SSBond

extends Object
implements PDBRecord

A simple bean to store disulfid bridge information, the SSBOND records in the PDB files. The two residues specified here are CYS residues that form a Disulfid bridge.

Author:
  Andreas Prlic

Constructor Summary
`SSBond()`

Method Summary
`SSBond` `clone()`
`String` `getChainID1()`
`String` `getChainID2()`
`String` `getInsCode1()`
`String` `getInsCode2()`
`String` `getResnum1()` get residue number for first CYS.
`String` `getResnum2()` get residue number for second CYS.
`int` `getSerNum()` set serial number of this SSBOND in PDB file
`void` `setChainID1(String chainID1)`
`void` `setChainID2(String chainID2)`
`void` `setInsCode1(String insCode1)`
`void` `setInsCode2(String insCode2)`
`void` `setResnum1(String resnum1)`
`void` `setResnum2(String resnum2)`
`void` `setSerNum(int serNum)` get serial number of this SSBOND in PDB file
`String` `toPDB()` Returns a PDB file like representation of this record.
`void` `toPDB(StringBuffer buf)` append the PDB representation of this SSBOND to the provided StringBUffer

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSBond

    public SSBond()

Method Detail

### toPDB

    public String toPDB()

  Description copied from interface: `PDBRecord`
  Returns a PDB file like representation of this record.

  Specified by:
    `toPDB` in interface `PDBRecord`
  Returns:
    a String providing a PDB file like representation of the record.

### toPDB

    public void toPDB(StringBuffer buf)

  append the PDB representation of this SSBOND to the provided StringBUffer

  Specified by:
    `toPDB` in interface `PDBRecord`
  Parameters:
    `buf` - a StringBuffer to print the PDB representation to

### getInsCode1

    public String getInsCode1()

### setInsCode1

    public void setInsCode1(String insCode1)

### getInsCode2

    public String getInsCode2()

### setInsCode2

    public void setInsCode2(String insCode2)

### getSerNum

    public int getSerNum()

  set serial number of this SSBOND in PDB file

  Returns:
    the serial number

### setSerNum

    public void setSerNum(int serNum)

  get serial number of this SSBOND in PDB file

  Parameters:
    `serNum` -

### clone

    public SSBond clone()

  Overrides:
    `clone` in class `Object`

### getChainID1

    public String getChainID1()

### setChainID1

    public void setChainID1(String chainID1)

### getChainID2

    public String getChainID2()

### setChainID2

    public void setChainID2(String chainID2)

### getResnum1

    public String getResnum1()

  get residue number for first CYS. number and insertion code are joint together.

  Returns:
    the residue number of the first CYS.

### setResnum1

    public void setResnum1(String resnum1)

### getResnum2

    public String getResnum2()

  get residue number for second CYS. number and insertion code are joint together.

  Returns:
    the residue number of the second CYS.

### setResnum2

    public void setResnum2(String resnum2)